Get a template
curl --request GET \
--url https://api.lithoblocks.com/v1/templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lithoblocks.com/v1/templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lithoblocks.com/v1/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"is_public": true,
"current_version_id": "<string>",
"author_id": "<string>",
"request_format": {},
"cc_users": [
"<string>"
],
"icon_emoji": "<string>",
"user_name": "<string>",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"current_version": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status": "<string>",
"type": "<string>",
"icon_emoji": "<string>",
"user_name": "<string>",
"cc_users": [
"<string>"
],
"author_id": "<string>",
"request_format": {}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Templates
Get a template
Get a template by its id with optional inclusion of related data
GET
/
v1
/
templates
/
{id}
Get a template
Authorizations
LithoBlocks API key obtained from your organization dashboard
Path Parameters
Query Parameters
Response
Template
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

